Bug 591165 - [abrt] crash in pychess-0.10-0.4.20100504hg.fc12: ICLounge.py:1021:onSeekButtonClicked:ValueError: invalid literal for int() with base 10: 'Easy'
Summary: [abrt] crash in pychess-0.10-0.4.20100504hg.fc12: ICLounge.py:1021:onSeekButt...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pychess
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:41d842a7
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 15:18 UTC by András Szilárd
Modified: 2010-12-03 14:48 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-03 14:48:53 UTC


Attachments (Terms of Use)
File: backtrace (584 bytes, text/plain)
2010-05-11 15:18 UTC, András Szilárd
no flags Details

Description András Szilárd 2010-05-11 15:18:57 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/pychess
component: pychess
executable: /usr/bin/pychess
kernel: 2.6.32.11-99.fc12.x86_64
package: pychess-0.10-0.4.20100504hg.fc12
reason: ICLounge.py:1021:onSeekButtonClicked:ValueError: invalid literal for int() with base 10: 'Easy'
release: Fedora release 12 (Constantine)

backtrace
-----
ICLounge.py:1021:onSeekButtonClicked:ValueError: invalid literal for int() with base 10: 'Easy'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pychess/ic/ICLounge.py", line 1021, in onSeekButtonClicked
    else: ratingrange = map(int, item[1].split("  "))
ValueError: invalid literal for int() with base 10: 'Easy'

Local variables in innermost frame:
item: <gtk.TreeModelRow object at 0x7f57b4172378>
button: <gtk.Button object at 0x7f579802a9b0 (GtkButton at 0x7f57b403a810)>
self: <pychess.ic.ICLounge.SeekChallengeSection instance at 0x7f57b40acc68>

Comment 1 András Szilárd 2010-05-11 15:18:59 UTC
Created attachment 413169 [details]
File: backtrace

Comment 2 András Szilárd 2010-05-11 15:20:55 UTC
Sent out a seek on FICS for Easy (0-1300).

Comment 3 Thomas Spura 2010-05-11 19:49:48 UTC
Thanks for the bug report. It would be far better, if you could report this directly at upstream at:
http://code.google.com/p/pychess/issues/list

Often arise questions from upstream and it will be faster, if you where directly subscribed there.

I did this for this bug at:
http://code.google.com/p/pychess/issues/detail?id=558

Comment 4 Fedora Update System 2010-05-24 20:36:10 UTC
pychess-0.10-0.5.20100511hg.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pychess-0.10-0.5.20100511hg.fc12

Comment 5 Thomas Spura 2010-05-24 20:37:11 UTC
This is now fixed in an F-12 update, but I will NOT push that to stable without any further testing.


I don't run F-12 anymore, so I can't test this myself.

Testing is needed, because gnome-icon-theme changed the icons in F-13 and pychess is modified to reflect this, so I don't exactly know, if it still runs on F-12.


PLease test the update at:
https://admin.fedoraproject.org/updates/pychess-0.10-0.5.20100511hg.fc12

... and give some feedback.

Thanks.

Comment 6 Fedora Update System 2010-05-25 18:34:26 UTC
pychess-0.10-0.5.20100511hg.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pychess'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pychess-0.10-0.5.20100511hg.fc12

Comment 7 Bug Zapper 2010-11-03 15:05:45 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-12-03 14:48:53 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.